Subject: [Gen-art] Re: REVIEW: draft-ietf-avt-rfc2833bisdata-06.txt

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 05 Jun 2006 11:23:56 -0400

Thanks for the review. Responses below.

Michael A. Patton wrote:
> Attached is my review of the specified document, submitted as part of
> the Gen-ART process.  For background on Gen-ART, please see the FAQ at
> <http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.
> 
> Document Tag: draft-ietf-avt-rfc2833bisdata-06.txt
> Document Title: Definition of Events For Modem, FAX, and Text Telephony Signals
> Intended Status: Proposed Standard
> Shepherding AD: Cullen Jennings
> Review Trigger: Telechat
> 
> To the Author/Editor: Please wait for direction from your document
> shepherd or AD before posting a new version of the draft.
> 
> 
> ----------------  Begin review  ----------------
> 
> Summary: This draft is basically ready for publication, but has nits that
> 	should be fixed before publication.
> 
> The two nits are very minor and should not slow down approval, but if
> they can be addressed as others are, that would be an improvement in
> this document.
> 
> 
> Minor comments
> --------------
> 
> Should be a note to RFC Editor about references to RFC xxxx.  These
> are all references to [4] which is an ID to be simultaneously released
> as an RFC.  However, (as noted below) not all are marked.
> 
[PTT] Note done.

> I note in the table in 2.7.1 there's no allowance for some
> combinations, which I know I've used in the past and have equipment in
> my home to generate, specifically B103 at 110.  It may just be that
> none of these combinations are actually in use any more (I certainly
> don't use them, I just collect 1970's era computer equipment :-), but
> are you really sure?  Wouldn't it make sense to just define a complete
> orthogonal set?  To the best of my knowledge both B103 and V21 were
> used at both 110 and 300 in full duplex applications, and as far as I
> know may still be at some location.
> 
[PTT] The combinations shown in the document are those mentioned in Rec. 
V.18 for text telephony. This is the primary target of the indicators, 
so I don't think the others are required. One can always use the general 
data indicator VBDGen.

> ----------------------------------------------------------------
>    The following editorial issues are noted for the convenience
>    of possible copy editors but are not part of the technical review.
> 
> Clarity
> -------
> 
> Reference 4 has old version number...to be fixed when it's an RFC anyway.
> 
[PTT] Fixed.
> 
> Typos
> -----
> 
> In Section 1.2, paragraph starting "The problem comes..." has
> mismatched parenthesis.  Probably a close after [5] was dropped.
> 
[PTT] Fixed.

> In that same paragraph "renabled" => "re-enabled".
> 
[PTT] Fixed.

> In 2.5 bullet item b, the break at the space between "1" and "s" could
> cause some confusion.  This suggests that all number space "s"
> sequences should probably mark the space as non-breaking.
> 
[PTT] Fixed.

> In Section 2.7.1 there is a reference to RFC xxxx without a [4], but
> I'm pretty sure that's what was meant.
> 
[PTT] Right. Fixed.

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: "Michael A. Patton" <[email-masked]>
Date: Wed, 7 Jun 2006 23:36:50 -0400 (EDT)

Date: Mon, 05 Jun 2006 11:23:56 -0400
   From: "Tom-PT Taylor" <[email-masked]>

OK, that makes sense and it's perfectly fine to delegate that to ISO.
Since all the other things were just "Done", I won't comment on them
here.

In re-reading the document, I did notice some trivial things.
Actually, they're all RFC Editor things and can easily wait for AUTH48
if nothing else comes up...

The header shows "Updates: xxxx"  If there's actually an RFC being
updated, then shouldn't you already know the number?

The RFC editor note in the abstract mentions changing the first
normative reference.  But the first normative reference is to RFC2119
which clearly doesn't need any update...you obviously meant [5] not
[1].

I also note that there is still one reference to "RFC xxxx" that
doesn't have a "[5]" (not the one I saw last time, you fixed that one,
I just got inspired to use emacs' "Occurs" feature and noticed one
other one).

---

From: "Michael A. Patton" <[email-masked]>
Date: Wed, 7 Jun 2006 23:38:19 -0400 (EDT)

Document Tag: draft-ietf-avt-rfc2833bisdata-07.txt
Document Title: Definition of Events For Modem, FAX, and Text Telephony Signals
Intended Status: Proposed Standard
Shepherding AD: Cullen Jennings
Review Trigger: Telechat

This is an updated review based on the revisions in the new draft.

----------------  Begin review  ----------------

Summary: This draft is ready for publication as a Proposed Standard RFC